## plasma-discover 5.12.4

=== discover/CMakeLists.txt ===
add_subdirectory(icons)
add_subdirectory(autotests)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}/..)

qt5_add_resources(plasma_discover_SRCS resources.qrc)
qt5_add_resources(plasma_discover_SRCS assets.qrc)

add_executable(plasma-discover ${plasma_discover_SRCS}
    main.cpp
    DiscoverObject.cpp
    DiscoverDeclarativePlugin.cpp

    FeaturedModel.cpp
    PaginateModel.cpp
    UnityLauncher.cpp
)
add_executable(Plasma::Discover ALIAS plasma-discover)
set_target_properties(plasma-discover PROPERTIES INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR}/plasma-discover)

target_link_libraries(plasma-discover LINK_PUBLIC
                                     KF5::Crash
                                     KF5::DBusAddons
                                     KF5::I18n
                                     KF5::XmlGui
                                     KF5::Declarative
                                     KF5::ItemModels
                                     KF5::KIOCore
                                     Qt5::Quick
                                     Discover::Common
)

install(TARGETS plasma-discover ${INSTALL_TARGETS_DEFAULT_ARGS} )

# if (BUILD_DummyBackend)
#     target_compile_definitions(plasma-discover PRIVATE $<$<CONFIG:Debug>:QT_QML_DEBUG=1>)
# endif()

# Standard desktop file accepts local files as input.
set(DesktopNoDisplay "false")
set(DesktopMimeType "application/vnd.debian.binary-package;application/x-rpm;")
set(DesktopExec "plasma-discover %F")
configure_file(org.kde.discover.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.desktop)
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )

# URL handler accepts URLs as input but is only used to handle appstream://
set(DesktopNoDisplay "true")
set(DesktopMimeType "x-scheme-handler/appstream;")
set(DesktopExec "plasma-discover %U")
configure_file(org.kde.discover.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.urlhandler.desktop)
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.urlhandler.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )

if(EXISTS "/etc/debian_version")
    set(DesktopNoDisplay "true")
    set(DesktopMimeType "x-scheme-handler/apt")
    set(DesktopExec "plasma-discover %U")
    configure_file(org.kde.discover.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.apt.urlhandler.desktop)
    install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.apt.urlhandler.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
endif()

install(FILES plasmadiscoverui.rc  DESTINATION  ${KXMLGUI_INSTALL_DIR}/plasmadiscover)
install( FILES org.kde.discover.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== libdiscover/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"libdiscover\")

add_subdirectory(backends)
add_subdirectory(notifiers)
add_subdirectory(tests)

set(discovercommon_SRCS
    Category/Category.cpp
    Category/CategoryModel.cpp
    Category/CategoriesReader.cpp
    ReviewsBackend/AbstractReviewsBackend.cpp
    ReviewsBackend/Rating.cpp
    ReviewsBackend/Review.cpp
    ReviewsBackend/ReviewsModel.cpp
    Transaction/AddonList.cpp
    Transaction/Transaction.cpp
    Transaction/TransactionListener.cpp
    Transaction/TransactionModel.cpp
    UpdateModel/UpdateItem.cpp
    UpdateModel/UpdateModel.cpp
    resources/ResourcesModel.cpp
    resources/ResourcesProxyModel.cpp
    resources/PackageState.cpp
    resources/ResourcesUpdatesModel.cpp
    resources/StandardBackendUpdater.cpp
    resources/SourcesModel.cpp
    resources/AbstractResourcesBackend.cpp
    resources/AbstractResource.cpp
    resources/AbstractBackendUpdater.cpp
    resources/AbstractSourcesBackend.cpp
    resources/StoredResultsStream.cpp
    CachedNetworkAccessManager.cpp
    ActionsModel.cpp
    DiscoverBackendsFactory.cpp
    ScreenshotsModel.cpp
    ApplicationAddonsModel.cpp
)

if(AppStreamQt_FOUND)
    set(discovercommon_SRCS ${discovercommon_SRCS}
        appstream/OdrsReviewsBackend.cpp
        appstream/AppStreamIntegration.cpp
    )
endif()

add_library(DiscoverCommon ${discovercommon_SRCS})

target_link_libraries(DiscoverCommon
LINK_PUBLIC
    Qt5::Core
    Qt5::Qml
    Qt5::Widgets
    KF5::I18n
    KF5::ItemModels
LINK_PRIVATE
    Qt5::Xml
    KF5::KIOCore
    KF5::CoreAddons
)
add_library(Discover::Common ALIAS DiscoverCommon)

generate_export_header(DiscoverCommon)

target_include_directories(DiscoverCommon PRIVATE ${PHONON_INCLUDES} PUBLIC ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})

install(TARGETS DiscoverCommon DESTINATION ${CMAKE_INSTALL_LIBDIR}/plasma-discover)
install(FILES resources/discoverabstractnotifier.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})

=== discover/autotests/CMakeLists.txt ===
ecm_add_test(PaginateModelTest.cpp ../PaginateModel.cpp ${CMAKE_SOURCE_DIR}/libdiscover/tests/modeltest.cpp TEST_NAME PaginateModelTest LINK_LIBRARIES Qt5::Test Qt5::Gui)
target_include_directories(PaginateModelTest PUBLIC ${CMAKE_SOURCE_DIR}/libdiscover/)

if(BUILD_DummyBackend)
    add_test(NAME toplevels COMMAND Plasma::Discover --test "${CMAKE_CURRENT_SOURCE_DIR}/toplevels.qml")
    add_test(NAME install COMMAND Plasma::Discover --test "${CMAKE_CURRENT_SOURCE_DIR}/install.qml")

    add_test(NAME appstreamUrl COMMAND Plasma::Discover --test "${CMAKE_CURRENT_SOURCE_DIR}/appstreamUrl.qml" "dummy://techie1")
    add_test(NAME missingResource COMMAND Plasma::Discover --test "${CMAKE_CURRENT_SOURCE_DIR}/missingResource.qml" "dummy://caca")
    add_test(NAME apparg COMMAND Plasma::Discover --test "${CMAKE_CURRENT_SOURCE_DIR}/appstreamUrl.qml" --application "dummy://techie1")
    add_test(NAME categoryarg COMMAND Plasma::Discover --test "${CMAKE_CURRENT_SOURCE_DIR}/categoryArg.qml" --category "dummy 2.1")
    add_test(NAME wrongInput COMMAND Plasma::Discover --test "${CMAKE_CURRENT_SOURCE_DIR}/wrongInput.qml" "CMakeLists.txt")
    add_test(NAME packageArgument COMMAND Plasma::Discover --test "${CMAKE_CURRENT_SOURCE_DIR}/packageArgument.qml"
                                                           --local-filename "${CMAKE_CURRENT_SOURCE_DIR}/CMakeLists.txt")
    add_test(NAME updateandinstall COMMAND Plasma::Discover --test "${CMAKE_CURRENT_SOURCE_DIR}/updateandinstall.qml")

#   Just make sure they exit successfully
    add_test(NAME listbackends COMMAND Plasma::Discover --listbackends)
    add_test(NAME listmodes COMMAND Plasma::Discover --listmodes)
endif()

=== libdiscover/backends/FlatpakBackend/CMakeLists.txt ===
add_subdirectory(tests)

include_directories(${FLATPAK_INCLUDE_DIRS})

set(flatpak-backend_SRCS
    FlatpakResource.cpp
    FlatpakBackend.cpp
    FlatpakFetchDataJob.cpp
    FlatpakSourcesBackend.cpp
    FlatpakTransaction.cpp
    FlatpakTransactionJob.cpp
)

add_library(flatpak-backend MODULE ${flatpak-backend_SRCS})
target_link_libraries(flatpak-backend Qt5::Core Qt5::Widgets Qt5::Concurrent KF5::CoreAddons KF5::ConfigCore Discover::Common AppStreamQt ${FLATPAK_LIBRARIES})

install(TARGETS flatpak-backend DESTINATION ${PLUGIN_INSTALL_DIR}/discover)
install(FILES flatpak-backend-categories.xml DESTINATION ${DATA_INSTALL_DIR}/libdiscover/categories)

add_library(FlatpakNotifier MODULE FlatpakNotifier.cpp)
target_link_libraries(FlatpakNotifier Discover::Notifiers Qt5::Concurrent ${FLATPAK_LIBRARIES})
set_target_properties(FlatpakNotifier PROPERTIES INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR}/plasma-discover)

install(TARGETS FlatpakNotifier DESTINATION ${PLUGIN_INSTALL_DIR}/discover-notifier)
install(PROGRAMS org.kde.discover-flatpak.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES org.kde.discover.flatpak.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== libdiscover/backends/PackageKitBackend/CMakeLists.txt ===
find_package(KF5 REQUIRED Notifications)

add_subdirectory(runservice)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-paths.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-paths.h)

add_library(packagekit-backend MODULE PackageKitBackend.cpp
    PackageKitResource.cpp
    AppPackageKitResource.cpp
    PKTransaction.cpp
    PackageKitUpdater.cpp
    PackageKitMessages.cpp
    PackageKitSourcesBackend.cpp
    LocalFilePKResource.cpp
    TransactionSet.cpp
)

target_link_libraries(packagekit-backend PRIVATE Discover::Common Qt5::Core PK::packagekitqt5 KF5::ConfigGui KF5::KIOCore KF5::Archive AppStreamQt)

install(TARGETS packagekit-backend DESTINATION ${PLUGIN_INSTALL_DIR}/discover)

#notifier
add_library(DiscoverPackageKitNotifier MODULE PackageKitNotifier.cpp)
target_link_libraries(DiscoverPackageKitNotifier PRIVATE PK::packagekitqt5 Discover::Notifiers KF5::I18n KF5::Notifications KF5::ConfigCore)
set_target_properties(DiscoverPackageKitNotifier PROPERTIES INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR}/plasma-discover)

install(TARGETS DiscoverPackageKitNotifier DESTINATION ${PLUGIN_INSTALL_DIR}/discover-notifier)

install(FILES packagekit-backend-categories.xml DESTINATION ${DATA_INSTALL_DIR}/libdiscover/categories)
add_subdirectory(categoryimages)

if(packagekitqt5_VERSION VERSION_GREATER 1.0.1)
    target_compile_definitions(packagekit-backend PUBLIC -DPKQT_1_0)
    target_compile_definitions(DiscoverPackageKitNotifier PUBLIC -DPKQT_1_0)
endif()

install( FILES org.kde.discover.packagekit.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== libdiscover/backends/SnapBackend/CMakeLists.txt ===
add_subdirectory(libsnapclient)

add_library(snap-backend MODULE SnapResource.cpp SnapBackend.cpp SnapReviewsBackend.cpp SnapTransaction.cpp)
target_link_libraries(snap-backend Qt5::Core KF5::CoreAddons KF5::ConfigCore Discover::Common Snapd::Core)

install(TARGETS snap-backend DESTINATION ${PLUGIN_INSTALL_DIR}/discover)
install(FILES snap-backend-categories.xml DESTINATION ${DATA_INSTALL_DIR}/libdiscover/categories)
install( FILES org.kde.discover.snap.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== libdiscover/backends/PackageKitBackend/runservice/CMakeLists.txt ===
add_executable(runservice main.cpp)
target_link_libraries(runservice KF5::Service KF5::KIOCore)
install(TARGETS runservice DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF5}/discover)

=== libdiscover/backends/SnapBackend/libsnapclient/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-paths.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-paths.h)

ki18n_wrap_ui(SnapMacaroonDialog_SRCS SnapMacaroonDialog.ui)
add_executable(SnapMacaroonDialog SnapMacaroonDialog.cpp ${SnapMacaroonDialog_SRCS})
target_link_libraries(SnapMacaroonDialog Qt5::Network Qt5::Widgets KF5::Auth KF5::I18n)
install(TARGETS SnapMacaroonDialog DESTINATION ${KDE_INSTALL_LIBEXECDIR}/discover)

add_executable(libsnap_helper SnapAuthHelper.cpp)
target_link_libraries(libsnap_helper Qt5::Network KF5::Auth Snapd::Core)
install(TARGETS libsnap_helper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})

kauth_install_actions(org.kde.discover.libsnapclient org.kde.discover.libsnapclient.actions)
kauth_install_helper_files(libsnap_helper org.kde.discover.libsnapclient root)

=== debian/changelog ===
plasma-discover (5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:51:58 +0100

plasma-discover (5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:48:22 +0000

plasma-discover (5.12.2-0ubuntu2) bionic; urgency=medium

  * Ensure large appstream icons are downloaded for use in plasma-
    discover

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 23 Feb 2018 23:37:12 +0000

plasma-discover (5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:41:58 +0000

plasma-discover (5.12.1-0ubuntu2) bionic; urgency=medium

  * Add xdg-desktop-portal-kde to depends for snap and flatpak backends

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 19 Feb 2018 15:03:04 +0000

plasma-discover (5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:12:03 +0000

plasma-discover (5.12.0-0ubuntu2) bionic; urgency=medium

  * Build the snap backend and package.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 04 Feb 2018 11:25:39 +0000

plasma-discover (5.12.0-0ubuntu1) bionic; urgency=medium

  * Install appdata files
  * New upstream release (5.11.95)
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 04 Feb 2018 09:10:24 +0000

plasma-discover (5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:38:09 +0000

plasma-discover (5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:13:50 -0600

plasma-discover (5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * Transitional package priorities changed from 'extra' to 'optional'
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:57:38 +0000

=== debian/control ===
Source: plasma-discover
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Matthias Klumpp <mak@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.42.0~),
               git,
               kirigami2-dev (>= 5.42.0~),
               libappstream-dev,
               libappstreamqt-dev (>= 0.11.1),
               libdebconf-kde-dev (>= 1.0.0),
               libflatpak-dev,
               libkf5archive-dev (>= 5.42.0~),
               libkf5attica-dev (>= 5.42.0~),
               libkf5config-dev (>= 5.42.0~),
               libkf5configwidgets-dev (>= 5.42.0~),
               libkf5coreaddons-dev (>= 5.42.0~),
               libkf5crash-dev (>= 5.42.0~),
               libkf5dbusaddons-dev (>= 5.42.0~),
               libkf5declarative-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5iconthemes-dev (>= 5.42.0~),
               libkf5itemviews-dev (>= 5.42.0~),
               libkf5kdelibs4support-dev (>= 5.42.0~),
               libkf5kio-dev (>= 5.42.0~),
               libkf5newstuff-dev (>= 5.42.0~),
               libkf5notifications-dev (>= 5.42.0~),
               libkf5plasma-dev (>= 5.42.0~),
               libkf5solid-dev (>= 5.42.0~),
               libkf5textwidgets-dev (>= 5.42.0~),
               libkf5wallet-dev (>= 5.42.0~),
               libkf5widgetsaddons-dev (>= 5.42.0~),
               libkf5xmlgui-dev (>= 5.42.0~),
               libpackagekitqt5-dev (>= 0.9.5),
               libqapt-dev (>= 3.0.0),
               libqca-qt5-2-dev,
               libqt5svg5-dev (>= 5.6.1~),
               libsnapd-qt-dev,
               libstemmer-dev,
               libxml2-dev,
               libyaml-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/discover
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover

Package: muon-discover
Architecture: all
Section: oldlibs
Priority: optional
Depends: plasma-discover, ${misc:Depends}
Description: Transitional package (muon-discover -> plasma-discover)
 This is a transitional package for plasma-discover and can safely be
 removed.

Package: muon-notifier
Architecture: all
Section: oldlibs
Priority: optional
Depends: plasma-discover, ${misc:Depends}
Description: Transitional package (muon-notifier -> plasma-discover)
 This is a transitional package updating muon-notifier to
 plasma-discover and can safely be removed.

Package: muon-updater
Architecture: all
Section: oldlibs
Priority: optional
Depends: plasma-discover, ${misc:Depends}
Description: Transitional package (muon-updater -> plasma-discover)
 This is a transitional package updating muon-updater to plasma-discover
 and can safely be removed.

Package: plasma-discover
Architecture: any
Depends: appstream (>= 0.8),
         packagekit (>= 1.0),
         plasma-discover-common (= ${source:Version}),
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick-templates2,
         qml-module-qtquick2,
         ubuntu-release-upgrader-qt,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: software-properties-kde
Breaks: libmuon (<< 4:5.6),
        muon-discover (<< 4:5.5.3a),
        muon-notifier (<< 4:5.5.3a),
        muon-updater (<< 4:5.5.3a),
        plasma-discover-common (<< 5.7.0)
Conflicts: plasma-discover-private,
           plasma-discover-updater,
           python3-aptdaemon.pkcompat
Replaces: libmuon (<< 4:5.6),
          muon-discover (<< 4:5.5.3a),
          muon-notifier (<< 4:5.5.3a),
          muon-updater (<< 4:5.5.3a),
          plasma-discover-common (<< 5.7.0),
          plasma-discover-private,
          plasma-discover-updater
Description: Discover software management suite
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 By allowing to navigate a software library by search, categories, top lists
 along with detailed application information that includes screenshots
 and reviews, users can more quickly find applications that suit their needs.
 .
 Discover will also keep the system up to date by notifying about updates and
 installing them.

Package: plasma-discover-common
Architecture: all
Depends: ${misc:Depends}
Breaks: muon-common (<< 4:5.5.3a), plasma-discover (<< 5.7.0-2)
Conflicts: plasma-discover-private, plasma-discover-updater
Replaces: muon-common (<< 4:5.5.3a),
          plasma-discover (<< 5.7.0-2),
          plasma-discover-private,
          plasma-discover-updater
Description: Discover software manager suite (common data files)
 Discover is a graphical software manager for the Plasma workspace.
 .
 This package contains data files shared by various parts of the
 Discover suite.

Package: plasma-discover-snap-backend
Architecture: any
Depends: plasma-discover,
         snapd,
         xdg-desktop-portal-kde,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: plasma-discover-private (<< 5.10.0)
Replaces: plasma-discover-private (<< 5.10.0)
Description: Discover software manager suite - Snappy support
 Discover is a graphical software manager for the Plasma workspace.
 .
 This package contains support for Snapcraft package format.

Package: plasma-discover-flatpak-backend
Architecture: any
Depends: flatpak,
         plasma-discover,
         xdg-desktop-portal-kde,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: plasma-discover-private (<< 5.10.0)
Replaces: plasma-discover-private (<< 5.10.0)
Description: Discover software manager suite - Flatpak support
 Discover is a graphical software manager for the Plasma workspace.
 .
 This package contains support for Flatpak package format.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_VERSION_UPSTREAM_REVISION := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }' | sed -e 's/^[0-9]*://')

override_dh_auto_configure:
	$(overridden_command) -- -DBUILD_SnapBackend=ON

# Do not pull plugins into the shlibs file, it makes lintian angry.
# This happens because dh_makeshlibs will look for sonames matching
# (.*)-(.*)\.so where it assumes \1 is the library name and \2 is the version.
# This will then assume that libfoo-backend.so has name 'libfoo' and version
# 'backend' which makes for bogus, pointless, silly shlibs entries.
# Couldn't be bothered to report this - sitter, 2015
override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/discover* -V

override_dh_gencontrol:
	dh_gencontrol -pmuon-discover -- -v4:$(DEB_VERSION_UPSTREAM_REVISION)
	dh_gencontrol -pmuon-updater -- -v4:$(DEB_VERSION_UPSTREAM_REVISION)
	dh_gencontrol -pmuon-notifier -- -v4:$(DEB_VERSION_UPSTREAM_REVISION)
	dh_gencontrol --remaining-packages

# FIXME: tests are broken at time
override_dh_auto_test:
	:

## plasma-discover 5.12.8

=== CMakeLists.txt ===
project(discover)
set(PROJECT_VERSION "5.12.8")
set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 2.8.12)

find_package(ECM REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} "${CMAKE_SOURCE_DIR}/cmake")

find_package(Qt5 5.7.0 REQUIRED CONFIG COMPONENTS Widgets Test Network Xml Concurrent DBus Quick)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMAddTests)
include(GenerateExportHeader)

find_package(PkgConfig REQUIRED)

find_package(KF5 5.42 REQUIRED CoreAddons Config Crash DBusAddons I18n Archive XmlGui ItemModels KIO)
find_package(KF5Kirigami2 2.1.0)

find_package(packagekitqt5)
find_package(AppStreamQt 0.11.1)
find_package(KF5Attica 5.23)
find_package(KF5NewStuff 5.23)

set(CMAKE_AUTORCC ON)

pkg_check_modules(FLATPAK  flatpak>=0.6.12)

if(NOT CMAKE_VERSION VERSION_LESS "3.10.0")
  # CMake 3.9+ warns about automoc on files without Q_OBJECT, and doesn't know about other macros.
  # 3.10+ lets us provide more macro names that require automoc.
  list(APPEND CMAKE_AUTOMOC_MACRO_NAMES "DISCOVER_BACKEND_PLUGIN")
endif()

configure_file(DiscoverVersion.h.in DiscoverVersion.h)

add_subdirectory(libdiscover)
add_subdirectory(discover)
add_subdirectory(exporter)

option(WITH_NOTIFIER "Build and install the notifier plasmoid" ON)
if(WITH_NOTIFIER)
    find_package(KF5 REQUIRED Notifications KIO)
    add_subdirectory(notifier)
endif()

set_package_properties(KF5Attica PROPERTIES
    DESCRIPTION "KDE Framework that implements the Open Collaboration Services API"
    PURPOSE "Required to build the KNewStuff3 backend"
    TYPE OPTIONAL)
set_package_properties(KF5Kirigami2 PROPERTIES
    DESCRIPTION "KDE's lightweight user interface framework for mobile and convergent applications"
    URL "https://techbase.kde.org/Kirigami"
    PURPOSE "Required by discover qml components"
    TYPE RUNTIME)
set_package_properties(KF5NewStuff PROPERTIES
    DESCRIPTION "Qt library that allows to interact with KNewStuff implementations"
    PURPOSE "Required to build the KNS backend"
    TYPE OPTIONAL)
set_package_properties(packagekitqt5 PROPERTIES
    DESCRIPTION "Library that exposes PackageKit resources"
    URL "http://www.packagekit.org"
    PURPOSE "Required to build the PackageKit backend"
    TYPE OPTIONAL)
set_package_properties(AppStreamQt PROPERTIES
    DESCRIPTION "Library that lists Appstream resources"
    URL "http://www.freedesktop.org"
    PURPOSE "Required to build the PackageKit backend"
    TYPE OPTIONAL)
set_package_properties(FLATPAK PROPERTIES
    DESCRIPTION "Library that exposes flatpak repositories"
    URL "http://www.freedesktop.org"
    PURPOSE "Required to build the Flatpak backend"
    TYPE OPTIONAL)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== exporter/CMakeLists.txt ===
add_executable(plasma-discover-exporter main.cpp MuonExporter.cpp)

target_link_libraries(plasma-discover-exporter Discover::Common KF5::CoreAddons KF5::I18n)

=== libdiscover/backends/CMakeLists.txt ===
function(add_unit_test name)
    add_executable(${name} ${CMAKE_SOURCE_DIR}/libdiscover/tests/modeltest.cpp ${ARGN})
    add_test(${name} ${name})
    ecm_mark_as_test(${name})
    target_link_libraries(${name}
        Discover::Common

        Qt5::Test Qt5::Core ${EXTRA_LIBS})
endfunction()

if(KF5Attica_FOUND AND KF5NewStuff_FOUND)
   add_subdirectory(KNSBackend)
endif()

if(packagekitqt5_FOUND AND AppStreamQt_FOUND)
    add_subdirectory(PackageKitBackend)
endif()

option(BUILD_DummyBackend "Build the DummyBackend" "OFF")
if(BUILD_DummyBackend)
    add_subdirectory(DummyBackend)
endif()

option(BUILD_FlatpakBackend "Build Flatpak support" "ON")
if(FLATPAK_FOUND AND AppStreamQt_FOUND AND BUILD_FlatpakBackend)
    add_subdirectory(FlatpakBackend)
elseif(BUILD_FlatpakBackend)
    message(WARNING "BUILD_FlatpakBackend enabled but Flatpak=${FLATPAK_FOUND} or AppStreamQt=${AppStreamQt_FOUND} not found")
endif()

option(BUILD_SnapBackend "Build Snap support. Still a proof of concept" "OFF")
if(BUILD_SnapBackend)
    find_package(Snapd)
    set_package_properties(Snapd PROPERTIES
        DESCRIPTION "Library that exposes Snapd"
        URL "http://www.snapcraft.io"
        PURPOSE "Required to build the Snap backend"
        TYPE OPTIONAL)

    add_subdirectory(SnapBackend)
endif()

=== debian/changelog ===
plasma-discover (5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Jul 2019 09:38:35 +0100

plasma-discover (5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)
  * Cherry pick debian changes adding missing runtime qml module
    dependencies. (LP: #1788863)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 08:54:58 +0100

plasma-discover (5.12.6-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.6) (LP: #1779456)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Jun 2018 18:28:17 +0100

plasma-discover (5.12.5.1-0ubuntu0.1) bionic; urgency=medium

  * New upstream bugfix release (5.12.5.1) (LP: #1773292)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 25 May 2018 04:13:31 +0100

plasma-discover (5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)
  * Add apt-config-icons* to depends to ensure we have all app icons, as
    recommended by KDE developers

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:33:17 +0100

=== debian/control ===
--- 
+++ 
@@ -45,7 +45,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~)
+               qtdeclarative5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/discover
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
@@ -81,12 +81,20 @@
 Package: plasma-discover
 Architecture: any
 Depends: appstream (>= 0.8),
+         apt-config-icons,
+         apt-config-icons-hidpi,
+         apt-config-icons-large,
+         apt-config-icons-large-hidpi,
          packagekit (>= 1.0),
          plasma-discover-common (= ${source:Version}),
+         qml-module-org-kde-kcoreaddons,
          qml-module-org-kde-kirigami2,
+         qml-module-org-kde-kquickcontrols,
          qml-module-org-kde-kquickcontrolsaddons,
+         qml-module-org-kde-qqc2desktopstyle,
          qml-module-qtgraphicaleffects,
          qml-module-qtquick-controls2,
+         qml-module-qtquick-dialogs,
          qml-module-qtquick-layouts,
          qml-module-qtquick-templates2,
          qml-module-qtquick2,

## plasma-discover 5.12.8-0ubuntu0.1%2B9.0trisquel1

=== debian/changelog ===
plasma-discover (5.12.8-0ubuntu0.1+9.0trisquel1) etiona; urgency=medium

  * Disable kns backend

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 07 Jun 2020 02:43:14 +0000

## plasma-discover 5.13.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(discover)
-set(PROJECT_VERSION "5.12.8")
+set(PROJECT_VERSION "5.13.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12)
@@ -8,7 +8,7 @@
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} "${CMAKE_SOURCE_DIR}/cmake")
 
-find_package(Qt5 5.7.0 REQUIRED CONFIG COMPONENTS Widgets Test Network Xml Concurrent DBus Quick)
+find_package(Qt5 5.10.0 REQUIRED CONFIG COMPONENTS Widgets Test Network Xml Concurrent DBus Quick)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
@@ -19,13 +19,13 @@
 
 find_package(PkgConfig REQUIRED)
 
-find_package(KF5 5.42 REQUIRED CoreAddons Config Crash DBusAddons I18n Archive XmlGui ItemModels KIO)
+find_package(KF5 5.45 REQUIRED CoreAddons Config Crash DBusAddons I18n Archive XmlGui ItemModels KIO)
 find_package(KF5Kirigami2 2.1.0)
 
-find_package(packagekitqt5)
-find_package(AppStreamQt 0.11.1)
-find_package(KF5Attica 5.23)
-find_package(KF5NewStuff 5.23)
+find_package(packagekitqt5 CONFIG)
+find_package(AppStreamQt 0.11.1 CONFIG)
+find_package(KF5Attica 5.23 CONFIG)
+find_package(KF5NewStuff 5.23 CONFIG)
 
 set(CMAKE_AUTORCC ON)

=== debian/changelog ===
plasma-discover (5.13.5-1ubuntu6) cosmic; urgency=medium

  * Backport upstream patch to include the repository name for a PPA in
    the settings page source list. Currently the description is blank,
    so requires guesswork or trial and error to work out which entry is
    which. KDE BUG: 390569
    - debian/patches:upstream_include-repo-name-for-ubuntu-ppa.patch

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 08 Oct 2018 16:33:31 +0100

plasma-discover (5.13.5-1ubuntu5) cosmic; urgency=medium

  * Add upstream patch to fix enabling and disabling source entries in
    the main settings page. KDE Bug: 398587
    - debian/patches: upstream_fix-enabling-disabling-sources.patch

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 05 Oct 2018 16:57:46 +0100

plasma-discover (5.13.5-1ubuntu4) cosmic; urgency=medium

  * Add upstream patch to fix Discover showing installed backends as
    missing on settings page.
    - debian/patches: upstream_fix-missing-backends.patch

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 13:41:52 +0100

plasma-discover (5.13.5-1ubuntu3) cosmic; urgency=medium

  * debian/watch: Update to work with Kubuntu automation tooling.
  * Add upstream patch to fix showing update notifications.
    - debian/patches/upstream_fix-showing-update-notification.patch

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 24 Sep 2018 08:48:43 +0100

plasma-discover (5.13.5-1ubuntu2) cosmic; urgency=medium

  * Add patches with upstream changes to fix missing menu item for
    software-properties (Software Sources) in settings page.
    - debian/patches/upstream_software-properties-qt.patch
    - debian/patches//upstream_fix-sources-editor-menu.patch

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 22 Sep 2018 14:16:14 +0100

plasma-discover (5.13.5-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: 
      + Kubuntu packaging Vcs fields.
      + Bumped Frameworks and Plasma build deps.
      + Add apt-config-icons* to depends to ensure we have all app
        icons, as recommended by KDE developers.
      + Depends on ubuntu-release-upgrader-qt.
      + Depends on xdg-desktop-portal-kde for snap and flatpak backends, as
        requested by upstream KDE.
      + Keep our snap and flatpak backend package names for now.
    - Keep install files and lintian-overrides changes.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 10:55:25 +0100

plasma-discover (5.13.5-1) unstable; urgency=medium

  * New upstream release (5.13.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Sep 2018 20:40:40 +0200

plasma-discover (5.13.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)
  * Recommends on plasma-discover-snap-backend.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:34:19 +0100

plasma-discover (5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.2).
  * New upstream release (5.13.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:15 +0200

plasma-discover (5.13.4-0ubuntu3) cosmic; urgency=medium

  * Cherry pick debian changes adding missing runtime qml module
    dependencies. (LP: #1788863)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Aug 2018 12:43:21 +0100

plasma-discover (5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:40:00 +0100

plasma-discover (5.13.3-0ubuntu1) cosmic; urgency=medium

  * Install desktop file for snap url handler
  * Drop transitional packages no longer required after 18.04
  * New upstream release (5.13.0)
  * Update install files
  * Re-enable build of flatpak backend
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:25:12 +0100

plasma-discover (5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:17 +0200

plasma-discover (5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)
  * Re-enable build of flatpak backend

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:30:25 +0100

plasma-discover (5.12.5.1-1) unstable; urgency=medium

  * New upstream release (5.12.5.1).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 May 2018 13:07:21 +0200

plasma-discover (5.12.5.1-0ubuntu4) cosmic; urgency=medium

  * Rebuild against kauth 5.47, updating altered kauth helper binary
    installation paths
  * Disable building flatpak backend as FTBFS with flatpak version in
    18.10. Will be renenabled with discover >= 5.12.6

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 19:41:21 +0100

plasma-discover (5.12.5.1-0ubuntu3) cosmic; urgency=medium

  * Revert last upload. As we are looking to SRU Plasma 5.12 LTS point
    releases to Bionic, it is easier for branch maintenance to keep the
    transitional packages required there in place until we migrate to
    Plasma 5.13 in Cosmic.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 21 May 2018 13:10:20 +0100

plasma-discover (5.12.5.1-0ubuntu2) cosmic; urgency=medium

  * Drop transitional packages no longer required after 18.04

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 21 May 2018 12:20:37 +0100

plasma-discover (5.12.5.1-0ubuntu1) cosmic; urgency=medium

  * New upstream bugfix release (5.12.5.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 17 May 2018 13:21:56 +0100

plasma-discover (5.12.5-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * plasma-discover: Depend on qml-module-qtquick-dialogs as well

  [ Maximiliano Curia ]
  * New upstream release (5.12.5).
  * Bump Standards-Version to 4.1.4.
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 May 2018 13:24:06 +0200



=== debian/control ===
Source: plasma-discover
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Matthias Klumpp <mak@debian.org>,
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.42.0~),
               kirigami2-dev (>= 5.42.0~),
               libappstreamqt-dev (>= 0.10.3),
               libdebconf-kde-dev (>= 1.0.0),
               libflatpak-dev (>= 0.10.2),
               libkf5archive-dev (>= 5.45~),
               libkf5attica-dev (>= 5.42.0~),
               libkf5config-dev (>= 5.45~),
               libkf5configwidgets-dev (>= 5.42.0~),
               libkf5coreaddons-dev (>= 5.45~),
               libkf5crash-dev (>= 5.45~),
               libkf5dbusaddons-dev (>= 5.45~),
               libkf5declarative-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.45~),
               libkf5iconthemes-dev (>= 5.42.0~),
               libkf5itemmodels-dev (>= 5.45.0~),
               libkf5itemviews-dev (>= 5.42.0~),
               libkf5kdelibs4support-dev (>= 5.42.0~),
               libkf5kio-dev (>= 5.45~),
               libkf5newstuff-dev (>= 5.42.0~),
               libkf5notifications-dev (>= 5.42.0~),
               libkf5plasma-dev (>= 5.42.0~),
               libkf5solid-dev (>= 5.42.0~),
               libkf5textwidgets-dev (>= 5.42.0~),
               libkf5wallet-dev (>= 5.42.0~),
               libkf5widgetsaddons-dev (>= 5.42.0~),
               libkf5xmlgui-dev (>= 5.45~),
               libpackagekitqt5-dev (>= 1.0.1),
               libqca-qt5-2-dev,
               libqt5svg5-dev (>= 5.6.1~),
               libsnapd-qt-dev (>= 1.30),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.10.0~),
               qtdeclarative5-dev (>= 5.10.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/discover
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover

Package: plasma-discover
Architecture: any
Depends: appstream (>= 0.8),
         apt-config-icons,
         apt-config-icons-hidpi,
         apt-config-icons-large,
         apt-config-icons-large-hidpi,
         packagekit (>= 1.0),
         plasma-discover-common (= ${source:Version}),
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kirigami2 (>= 5.42),
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-qqc2desktopstyle,
         qml-module-qtquick-dialogs,
         ubuntu-release-upgrader-qt,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: plasma-discover-snap-backend, software-properties-qt
Breaks: libmuon (<< 4:5.6),
        muon-discover (<< 4:5.5.3a),
        muon-notifier (<< 4:5.5.3a),
        muon-updater (<< 4:5.5.3a),
        plasma-discover-common (<< 5.7.0),
        plasma-discover-private (<< 5.7.0),
        plasma-discover-updater (<< 5.7.0),
Replaces: libmuon (<< 4:5.6),
          muon-discover (<< 4:5.5.3a),
          muon-notifier (<< 4:5.5.3a),
          muon-updater (<< 4:5.5.3a),
          plasma-discover-common (<< 5.7.0),
          plasma-discover-private (<< 5.7.0),
          plasma-discover-updater (<< 5.7.0),
Description: Discover software management suite
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 By allowing to navigate a software library by search, categories, top lists
 along with detailed application information that includes screenshots
 and reviews, users can more quickly find applications that suit their needs.
 .
 Discover will also keep the system up to date by notifying about updates and
 installing them.

Package: plasma-discover-common
Architecture: all
Depends: ${misc:Depends}
Breaks: muon-common (<< 4:5.5.3a),
        plasma-discover (<< 5.7.0-2),
        plasma-discover-private (<< 5.7.0),
        plasma-discover-updater (<< 5.7.0),
Replaces: muon-common (<< 4:5.5.3a),
          plasma-discover (<< 5.7.0-2),
          plasma-discover-private (<< 5.7.0),
          plasma-discover-updater (<< 5.7.0),
Description: Discover software manager suite (common data files)
 Discover is a graphical software manager for the Plasma workspace.
 .
 This package contains data files shared by various parts of the
 Discover suite.

Package: plasma-discover-flatpak-backend
Architecture: any
Depends: flatpak,
         plasma-discover (= ${binary:Version}),
         xdg-desktop-portal-kde,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Discover software management suite - Flatpak backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the Flatpak application
 bundling system.

Package: plasma-discover-snap-backend
Architecture: any
Depends: plasma-discover (= ${binary:Version}),
         snapd,
         xdg-desktop-portal-kde,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Discover software management suite - Snap backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the Ubuntu Core Snappy application
 bundling system.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/plasma/([\d.]+)/discover-([\d.]+)\.tar\.xz
